Skip to content

EMD Void

Request

New implementations should use the document/void end point to void any type of document. Void an EMD to cancel it. You can also use EMD void with the GDS exchange APIs to refund an EMD back to the original FOP. See the Exchange, Refund, and Void Guide. EMD Void not supported for NDC.

Security
bearerAuth
Path
Identifierstring, <= 128 charactersrequired

The EMD number you wish to update

Example:1253303123456
Headers
TraceIdstring, [ 10 .. 89 ] characters

Identifier used to correlate Air API invocations across a multi-call business flows.

Example:TraceID_123456789
XAUTH_TRAVELPORT_ACCESSGROUPstring, = 36 characters([a-zA-Z-0-9-_]*)

Identifies the Travelport access group with which the caller is associated

Example:19Y88702-C27A-4E5D-829A-89D7016688B1
travelportPlusSessionIdentifierstring, [ 0 .. 100 ] characters([a-zA-Z-0-9-_]*)

travelportPlusSessionIdentifier used to maintain an established agency session

Example:49f58f5f-c443-43b4-9f5d-be405fd00a01
TVP-PCC-Corestring^[a-zA-Z\d]{3,4}_\w{2}$

Allows user to pass PCC instead of Access Group ID

Example:DU7_1G
Bodyapplication/jsonrequired

EMD Void request payload.

@typestringrequired
Example:"EMDQueryUpdateEMD"
agencyCodestring([0-9]{8})

The agency IATA code

Example:"91219332"
statusstring, <= 32 charactersrequired

Status to update the EMD

Example:"Void"
dateOfIssuestring, (date)

The date the EMD was issued

Example:"2026-05-26"
curl -i -X PUT \
  https://api.pp.travelport.net/11/air/emds/1253303123456 \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -H 'TVP-PCC-Core: DU7_1G' \
  -H 'TraceId: TraceID_123456789' \
  -H 'XAUTH_TRAVELPORT_ACCESSGROUP: 19Y88702-C27A-4E5D-829A-89D7016688B1' \
  -H 'travelportPlusSessionIdentifier: 49f58f5f-c443-43b4-9f5d-be405fd00a01' \
  -d '{
    "@type": "EMDQueryUpdateEMD",
    "status": "Void"
  }'

Responses

OK - Successful Response - 200

Bodyapplication/json
EMDListResponseobject(EMDListResponse)

The response of a EMD list endpoint request.

Response
{ "EMDListResponse": { "@type": "response", "transactionId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "traceId": "TraceID_123456", "correlationId": "49f58f5f-c443-43b4-9f5d-be405fd00a01", "reservationStatus": "Success", "Result": { "@type": "Result", "status": "Complete", "Error": [ … ], "Warning": [ … ] }, "Identifier": { "value": "A0656EFF-FAF4-456F-B061-0161008D7C4E", "authority": "TVPT" }, "NextSteps": { "baseURI": "www.travelport.com", "id": "5", "NextStep": [ … ] }, "ReferenceList": [ null ], "CurrencyRateConversion": [ { … } ], "Pagination": { "@type": "Pagination", "page": 1, "pageSize": 20, "totalPages": 5, "totalItems": 100 } } }